<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ButtonsMessage\Button;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ButtonText extends \Google\Protobuf\Internal\Message
{
    


    protected $displayText = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDisplayText()
    {
        return isset($this->displayText) ? $this->displayText : '';
    }

    public function hasDisplayText()
    {
        return isset($this->displayText);
    }

    public function clearDisplayText()
    {
        unset($this->displayText);
    }

    




    public function setDisplayText($var)
    {
        GPBUtil::checkString($var, True);
        $this->displayText = $var;

        return $this;
    }

}

